---
id: serviette-000
type: Thing
props:
  - takable
  - cleaner
name: serviette
events:
  info:
    actor: "Une serviette accroché au séchoir."
  look:
    actor: |
      C'est une serviette qui peut être utiliser pour nettoyer des objets.
---
id: ballon-000
type: Thing
props:
  - takable
name: ballon
events:
  info:
    actor: "Un ballon est dans la baignoire."
  look:
    actor: |
      Il me plait pourquoi pas le voler.
---
id: serviette-001
type: Thing
props:
  - takable
name: serviette salle (pas très propre)
events:
  info:
   actor: "Une serviette salle étaler par terre."
  look:
    actor: |
      C'est une serviette salle qui ne peut pas être utiliser pour nettoyer des objets.
---
id: miroir-000
type: Thing
props:
  - cleanable-with
name: miroir
events:
  info:
    actor:
      - props: =miroir-000:clean-with
        data : "Le miroir est nettoyé, vous pouvez lire le message suivant: Les gens la caresse pour exaucer leur voeux mais toi tu dois la dévisser."
      - data : "un mirroir très sale que vous pouvez nettoyer"
  look:
    actor:
      - props: object:clean-with
        data : "vous pouvez lire le message suivant: Les gens la caresse pour exaucer leur voeux mais toi tu dois la dévisser."
      - data : "un mirroir très sale que vous pouvez nettoyer"
  clean-with:
    - props: object:clean-with
      actor : "Le miroir est déjà propre, vous pouvez lire le message suivant: Les gens la caresse pour exaucer leur voeux mais toi tu dois la dévisser."
    - actor : "vous nettoyez le miroir, vous pouvez lire le message suivant: Les gens la caresse pour exaucer leur voeux mais toi tu dois la dévisser."
      observer: |
        {{ actor.name }} nettoie le miroir, il peut lire le message suivant: Les gens la caresse pour exaucer leur voeux mais toi tu dois la dévisser.
      effects:
        - type  : ChangePropEffect
          modifs: object:clean-with
---
id: lampe-000
type: Container
name: lampe
events:
  info:
    actor: "Une lampe posée sur la table"
  look:
    actor: |
      C'est une lampe.
contains:
  - ampoule-000
---
id: oreiller-000
type: Container
name: oreiller
events:
  info:
    actor: "un oreiller posé sur le lit"
  look:
    actor: |
      C'est un oreiller.
contains:
  - cle-000
---
id: boite-000
type: Container
name: boite
events:
  info:
    actor: "Une boite en carton est juste devant vous"
  look:
    actor: |
      C'est une boite en carton, elle contient surement des choses.
contains:
  - papier-000
---
id: ampoule-000
type: Container
name: ampoule
events:
  info:
    actor: "une ampoule qui peut se dévisser"
  look:
    actor: |
      C'est une ampoule qui cache quelque chose.
contains:
  - clegrenier-000
---
id: baignoire-000
type: Container
name: baignoire
events:
  info:
    actor: "c'est une baignoire"
  look:
    actor: |
      une belle baignoire.
contains:
  - ballon-000
---
id: clegrenier-000
type: Thing
name: cledugrenier
props:
  - takable
  - key-for-trappe-grenier-000
events:
  info:
    actor: "La clé du grenier."
  look:
    actor: |
      C'est la clé qui vous permet d'acceder au grenier.
---
id: cle-000
type: Thing
name: cle
props:
  - takable
  - key-for-porte-exterieur-000
events:
  info:
    actor: "La clé de la porte principale."
  look:
    actor: |
      C'est la clé qui vous permet de sortir.
---
id: papier-000
type: Thing
name: papier
props:
  - takable
events:
  info:
    actor: "Papier mystérieux."
  look:
    actor: |
      Sur le papier est inscrit le message suivant: On se pose dessus souvent, on y cache les surpises dessous. Cherche à l'intérieur
---
id: salon-000
type: Location
contains:
  - lampe-000
events:
  info:
    actor: "Salon d'une maison inconnue."
  look:
    actor: |
      Vous êtes dans le salon d'une maison qui vous est totalement inconnu.
      Derrière se trouve une porte qui mène vers l'extérieur mais elle est fermée.
      A votre gauche se trouve une porte qui semble mener vers un garage et à votre droite se trouve une cuisine.
      En face de vous il y a couloir dont vous ne pouvez distinguer ce qu'il y a après.
---
id: exterieur-000
type: Location
events:
  info:
    actor: "Le monde exterieur"
  look: 
    actor: |
      Félicitaions !
      Si vous êtes ici c'est que vous avez réussi à vous échapper de la maison
      dont vous étiez prisonnier. Grâce à cette experience que vous avez vécu vous allez 
      maintenant vivre votre vie à sa juste valeur.
---
id: garage-000
type: Location
events:
  info:
    actor: "Le garage"
  look: 
    actor: |
      C'est un garage de maison tout à fait classique avec une porte de garage fonctionnant avec un 
      mécanisme manuelle. Il n'y a pas de voiture mais beaucoup d'outil de bricolage.
---
id: couloir-000
type: Location
events:
  info:
    actor: "Couloir de la maison inconnue"
  look: 
    actor: |
      Le couloir est d'une taille moyenne et il permet de joindre le salon à trois pièces de la maison. 
      A votre droite et gauche ce sont des chambres et au fond du couloir il y a une salle de bain.
---
id: chambre-000
type: Location
contains:
  - oreiller-000
events:
  info:
    actor: "Chambre de petite fille"
  look: 
    actor: |
      C'est une chambre de petite fille sans doute celle des anciens propriétaires de la maison.
      Le lit est fait et tout les objets de la pièces sont minutieusement rangée comme ci cela cachait quelque chose.
---
id: chambre-001
type: Location
events:
  info:
    actor: "Chambre inaccessible"
  look: 
    actor: |
      Comment êtes vous entrez ici. Vous possédez des pouvoir de téléportation ?
---
id: salledebain-000
type: Location
contains:
  - serviette-000
  - miroir-000
  - serviette-001
  - baignoire-000
events:
  info:
    actor: "Salle de bain de la maison inconnue"
  look: 
    actor: |
      C'est une salle de bain d'une taille moyenne, environ 7m². Elle possède une baignoire, des toilettes et il reste encore une serviette sur le séchoir.
      Un miroir semble être au dessus du lavabo mais une couche d'une substance inconnu le recouvre. 
---
id: cuisine-000
type: Location
events:
  info:
    actor: "La cuisine de la maison inconnue"
  look: 
    actor: |
      C'est une cuisine anciennes mais fonctionnelles, elle possède de nombreux rangements et placards.
      Ce qui vous intrigue le plus, c'est la trappe qui se trouve au plafond et qui est accesible grâce à la table au centre 
      de la cuisine.
---
id: grenier-000
type: Location
contains:
  - boite-000
  - telephone-000
events:
  info:
    actor: "La grenier de la maison inconnue"
  look: 
    actor: |
      Le grenier est inaccessible et très encombrée. La seule chose à porter de main est une boite qui se situe juste 
      devant l'entrée.  
---
id: portal-salon-garage-000
type: Portal
exits:
  - id: salon-000-gauche
    location: salon-000
    direction: ouest
    events:
      enter-portal:
        actor   : "Vous entrez dans le garage"
        observer: "{{ actor.name }} entre dans le garage."
      leave-portal:
        observer: |
          {{ actor.name }} quitte le garage et retourne 
          dans le salon.
  - id: garage-000-droite
    location: garage-000
    direction: est
    events:
      enter-portal:
        actor   : "Vous quittez le garage et retournez au salon."  
        observer: "{{ actor.name }} Vous quittez le garage et retournez au salon."
      leave-portal:
        observer: "{{ actor.name }} vous entrez dans le garage."
---
id: portal-salon-cuisine-000
type: Portal
exits:
  - id: salon-000-droite
    location: salon-000
    direction: est
    events:
      enter-portal:
        actor   : "Vous entrez dans la cuisine"
        observer: "{{ actor.name }} entre dans la cuisine."
      leave-portal:
        observer: |
          {{ actor.name }} quitte la cuisine et retourne 
          dans le salon.
  - id: cuisine-000-gauche
    location: cuisine-000
    direction: ouest
    events:
      enter-portal:
        actor   : "Vous quittez la cuisine et retournez au salon."  
        observer: "{{ actor.name }} Vous quittez la cuisine et retournez au salon."
      leave-portal:
        observer: "{{ actor.name }} vous entrez dans la cuisine."
---
id: portal-salon-couloir-000
type: Portal
exits:
  - id: salon-000-haut
    location: salon-000
    direction: haut
    events:
      enter-portal:
        actor   : "Vous allez dans le couloir"
        observer: "{{ actor.name }} entre dans le couloir."
      leave-portal:
        observer: |
          {{ actor.name }} quitte le couloir et retourne 
          dans le salon.
  - id: couloir-000-bas
    location: couloir-000
    direction: bas
    events:
      enter-portal:
        actor   : "Vous quittez le couloir et retourné au salon."  
        observer: "{{ actor.name }} Vous quittez le couloir et retourné au salon."
      leave-portal:
        observer: "{{ actor.name }} vous entrez dans le couloir."
---
id: portal-couloir-chambre-000
type: Portal
exits:
  - id: couloir-000-gauche
    location: couloir-000
    direction: ouest
    events:
      enter-portal:
        actor   : "Vous entrez dans une chambre"
        observer: "{{ actor.name }} entre dans une chambre."
      leave-portal:
        observer: |
          {{ actor.name }} quitte la chambre et retourne 
          dans le couloir.
  - id: chambre-000-droite
    location: chambre-000
    direction: est
    events:
      enter-portal:
        actor   : "Vous quittez la chambre et retourné dans le couloir."  
        observer: "{{ actor.name }} Vous quittez la chambre et retourné dans le couloir."
      leave-portal:
        observer: "{{ actor.name }} vous entrez dans la chambre."
---
id: portal-couloir-salledebain-000
type: Portal
exits:
  - id: couloir-000-haut
    location: couloir-000
    direction: haut
    events:
      enter-portal:
        actor   : "Vous enrtez dans la salle de bain"
        observer: "{{ actor.name }} entre dans la salle de bain."
      leave-portal:
        observer: |
          {{ actor.name }} quitte la salle de bain et retourne 
          dans le couloir.
  - id: salledebain-000-baas
    location: salledebain-000
    direction: bas
    events:
      enter-portal:
        actor   : "Vous quittez la salle de bain et retourné dans le couloir."  
        observer: "{{ actor.name }} Vous quittez la salle de bain et retourné dans le couloir."
      leave-portal:
        observer: "{{ actor.name }} vous entrez dans la salle de bain."
---
id: portal-salon-grenier-000
type: Portal
props:
  - closed
  - closable
exits:
  - id: cuisine-000-nord
    location: cuisine-000
    direction: haut
    name:
      - trappe
    gender: fem
    props:
      - for-enter
    events:
      enter-portal:
        actor     : "Vous entrez dans le grenier."
        observer  : "{{ actor.name }} entre dans le grenier."
        failed:
          actor   : &porte001 |
            La trappe du grenier est verouillée, vous devez d'abord trouver la clé pour acceder à cette endroit.
          observer: &porte002 |
            {{ actor.name }} tente en vain d'ouvrir la trappe du
            grenier.
      leave-portal:
        actor     : "Vous retournez dans la cuisine et quittez le grenier."
        observer  : "{{ actor.name }} quitte la cuisine."
      open        :
        - props   : portal:closed
          actor   : *porte001
          observer: *porte002
        - props   : -portal:closed
          actor   : &porte003 "La trappe est déjà ouverte!"
      open-with   :
        - props   :
            - portal:closed
            - object2:key-for-trappe-grenier-000
          effects :
            type  : ChangePropEffect
            modifs:
              - -portal:closed
          actor   : |
            La trappe du grenier s'ouvre et un peu de poussière tombe.
          observer: |
            {{ actor.name }} ouvre la trappe du grenier
            avec la clé.
        - props   :
            - portal:closed
            - -object2:key-for-trappe-grenier-000
          actor   : |
            Vous tentez vainement d'ouvrir la trappe du grenier avec
            {{ object2.noun_the() }}
          observer: |
            {{ actor.name }} tente vainement d'ouvrir la trappe du
            grenier avec {{ object2.noun_a() }}
        - props   :
            - -portal:closed
          actor   : *porte003
          observer: |
            {{ actor.name }} tente futilement d'ouvrir la trappe du
            grenier avec {{ object2.noun_a() }}, alors
            qu'elle est déjà ouverte.
      close       : &porte004
        - props   : portal:closed
          actor   : "Vous fermez la trappe du grenier."
          observer: "{{ actor.name }} ferme la trappe du grenier."
          effects :
            - type  : ChangePropEffect
              modifs: =portal-salon-grenier-000:closed
      close-with  : *porte004
  - id: grenier-000-sud
    location: grenier-000
    direction: bas
    name: trappe
    gender: fem
    props:
      - for-leave
    events:
      enter-portal:
        observer  : "{{ actor.name }} sort du grenier."
        failed:
          actor   : |
            La trappe du grenier est fermé, ouvrez la avec votre clé.
          observer: |
            {{ actor.name }} tente en vain de sortir par la trappe
            du grenier.
---
id: portal-salon-exterieur-000
type: Portal
props:
  - closed
  - closable
exits:
  - id: salon-000-sud
    location: salon-000
    direction: bas
    name:
      - porte
    gender: fem
    props:
      - for-enter
    events:
      enter-portal:
        actor     : "Vous allez dehors."
        observer  : "{{ actor.name }} va dehors."
        failed:
          actor   : &porte001 |
            La porte principale est verouillée, vous devez d'abord trouver la clé pour pouvoir quitter cette endroit.
          observer: &porte002 |
            {{ actor.name }} tente en vain d'ouvrir la porte 
            principal.
      leave-portal:
        actor     : "Vous retournez dans le salon alors que vous pouvez partir definitivement."
        observer  : "{{ actor.name }} quitte le salon."
      open        :
        - props   : portal:closed
          actor   : *porte001
          observer: *porte002
        - props   : -portal:closed
          actor   : &porte003 "La porte est déjà ouverte!"
      open-with   :
        - props   :
            - portal:closed
            - object2:key-for-porte-exterieur-000
          effects :
            type  : ChangePropEffect
            modifs:
              - -portal:closed
          actor   : |
            La porte principal s'ouvre, vous allez pouvoir vous échappez.
          observer: |
            {{ actor.name }} ouvre la porte principal
            avec la clé.
        - props   :
            - portal:closed
            - -object2:key-for-porte-exterieur-000
          actor   : |
            Vous tentez vainement d'ouvrir la porte principal avec
            {{ object2.noun_the() }}
          observer: |
            {{ actor.name }} tente vainement d'ouvrir la porte principal
            avec {{ object2.noun_a() }}
        - props   :
            - -portal:closed
          actor   : *porte003
          observer: |
            {{ actor.name }} tente futilement d'ouvrir la porte
            principal avec {{ object2.noun_a() }}, alors
            qu'elle est déjà ouverte.
      close       : &porte004
        - props   : portal:closed
          actor   : "Vous fermez la porte principal."
          observer: "{{ actor.name }} ferme la porte principal."
          effects :
            - type  : ChangePropEffect
              modifs: =portal-salon-exterieur-000:closed
      close-with  : *porte004
  - id: exterieur-000-sud
    location: exterieur-000
    direction: haut
    name: porte
    gender: fem
    props:
      - for-leave
    events:
      enter-portal:
        observer  : "{{ actor.name }} retourne dans la maison."
        failed:
          actor   : |
            La porte principal est fermée, ouvrez la avec votre clé.
          observer: |
            {{ actor.name }} tente en vain de sortir par la porte
            principal.
    
---
id: telephone-000
type: Thing
props:
  - takable
name: Telephone portable
events:
  info:
    actor: "Un téléphone posé sur une table"
  look:
    actor: |
      Ce téléphone pourrait m'être utile dommage qu'il n'ait plus de batterie.
---